Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001691OCaml~DO NOT USE (was: OCaml general)public2003-05-16 02:292008-01-22 14:17
Reporteradministrator 
Assigned To 
PrioritynormalSeverityfeatureReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version3.09.0 
Summary0001691: warning for unused variable bindings?
DescriptionFull_Name: Wheeler Ruml
Version: 3.06
OS: linux and mingw
Submission from: katsura.parc.xerox.com (13.2.18.21)


Tiny suggestion: how about an optional warning for variables that are bound but
never used elsewhere? For me, at least, this often signals a programming error
(analogous to implicitly ignoring a return value). Perhaps this would apply
only to bindings inside another let, but looking at the .cmi should allow one to
tell whether a toplevel binding could possibly be used by another module.

Just a thought. Thanks for some great software!

Wheeler

TagsNo tags attached.
Attached Files

- Relationships

-  Notes
There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2005-11-18 10:13 administrator New Issue
2008-01-22 14:17 doligez Status acknowledged => closed
2008-01-22 14:17 doligez Resolution open => fixed
2008-01-22 14:17 doligez Fixed in Version => 3.09.0
2008-01-22 14:17 doligez Description Updated
2017-02-23 16:36 doligez Category OCaml general => -OCaml general
2017-03-03 17:55 doligez Category -OCaml general => -(deprecated) general
2017-03-03 18:01 doligez Category -(deprecated) general => ~deprecated (was: OCaml general)
2017-03-06 17:04 doligez Category ~deprecated (was: OCaml general) => ~DO NOT USE (was: OCaml general)


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker